Limesurvey upgrade 1.92+ => 2.00+ not working

More
4 years 3 months ago - 4 years 3 months ago #89153 by floccs
Hi all,

as Limesurvey admin panel suggested this morning I've decided to upgrade Limesurvey to version 2.00+.
I've followed the instruction here but after configuring the installation I'm redirected to comfort update page and then got stuck at step 1 (clicking on proceed to step 2 reload the same page).
After several refresh without no luck I then try to load admin page, but I'm always redirected to survey list public page.

Any suggestion on how to solve this?

Stefano
Last Edit: 4 years 3 months ago by floccs.

Please Log in to join the conversation.

More
4 years 3 months ago #89155 by jelo
Backup everything first.

I personally would reinstall the last 1.92 in a different directory from scratch and try to import the database. Just to make sure you still have working data.

The most riskest way might be to just download LS2 and extract it to the folder of your current LS1.92+ version and see if the upgrade process will continue.

Sorry that I cannot provide a simple trick. I never upgrade such version but install from scratch. Since LS2 is not bug free you might cannot conduct a survey after such an upgrade even if you won't get stuck on the installation screen.

Please Log in to join the conversation.

More
4 years 3 months ago #89156 by floccs
Thank you jelo,

I've already tried all my surveys on Limesurvey 2.00+ and they worked well, so I thought that an upgrade of the installation wouldn't broke them.
However I've reverted to 1.92+. I have not restored the database backup since it seemed uncorrupted from Limesurvey 2.00+installation.

I think however to retry the upgrade in the future

Please Log in to join the conversation.

More
4 years 3 months ago #89530 by lince
Hi all,
I have exactly the same problem.
I tried a new installation 3 times today but each time I was redirected to a comfortupdate after configuration.
I tried first to install this new version on a local site and it worked well. So what's the problem with the online site ?
I'm going to try once more but this time I've created a new empty database and imported tables from the old version. (that's what I did locally, so I try the same way...)
If it works, I'll tell you.

Please Log in to join the conversation.

More
4 years 3 months ago #89535 by lince
so I tried with a new database and a new user for the db. It still ends to a page ComfortUpgrade which loops at step2 !!!
Cannot install this 2.0 version.
I must reinstall the old version but hope some issues will be find further to upgrade LS at least.

Please Log in to join the conversation.

More
4 years 3 months ago #89540 by lince
So I managed to install the 2.0 version !
I've first deleted old directories, then tables in the db.
As I had successfully installed the latest version on my local website, I got back tables from the local db and the directories from the local website.
I just had to modify the configuration php files with the right dbname, user and password.
Now it's working well.
It's not a real installation, but it works!

Please Log in to join the conversation.